﻿<?php 
/*
Plugin Name: DMRights Content Copyright Protection
Plugin URI: http://www.dmrights.com
Description: DMRights legally protect your copyright in 164 countries certifying the authoship of all of your WordPress posts including; text, photographs, graphics, and theme design. All certificates includes digital signature and time stamping of the date of publication. Also this plugin prevents right click, CTRL-V, CTRL-U, CTRL-P, etc. which avoids copying your website content and source code.
Author: Digital Media Rights
Version: 2.2.72
Author URI: http://www.dmrights.com
License: GPLv2 or later

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

For more info, please contact legal@gi4i.co.uk
*/
	
/*
Don't expose any info if called directly
*/

if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}
	
	// ****************************************
	// DMRights local variables
	// ****************************************

	add_action('wp_ajax_my_action', 'dmrights_config_user_data');
	add_action('wp_ajax_nopriv_my_action', 'dmrights_config_user_data');
	 
	// PRO
	define("dmrights_wp_server", "http://ipregistry_wp.dmrights.com");
	define("dmrights_wp_js_server", "http://wp.dmrights.com");
	// DESA
	// define("dmrights_wp_server", "http://localhost:8080/DMR-IPTracker");
	// define("dmrights_wp_js_server", "http://localhost:8080/DMR-WPUsers");
	
	
	// ****************************************
	// Load & Register JS & CSS Custom files
	// ****************************************

	function load_custom_dmrights_wp_admin_scripts () {

		// JS
   		wp_register_script("dmrights_jquery_validation_script", plugins_url()."/dmrightscom-content-copyright-protection/js/jquery.validate.min.js", array("jquery"));
   		
   		wp_register_script("dmrights_jquery_signin_api_script", plugins_url()."/dmrightscom-content-copyright-protection/js/siginapi.js", array("jquery"));
   		wp_register_script("dmrights_jquery_update_api_script", plugins_url()."/dmrightscom-content-copyright-protection/js/updateUserData.js", array("jquery"));
   		wp_register_script("dmrights_jquery_modal_script", plugins_url()."/dmrightscom-content-copyright-protection/js/modal.js", array("jquery"));
   		wp_register_script("dmrights_enable_script", plugins_url()."/dmrightscom-content-copyright-protection/js/dmrightsEnable.js", array("jquery"));
   		wp_register_script("dmrights_update_coutas_script", plugins_url()."/dmrightscom-content-copyright-protection/js/cuotas.js", array("jquery"));
   		    	
   		wp_enqueue_script('jquery-ui-dialog');
   		wp_enqueue_script("dmrights_jquery_validation_script");
   		wp_enqueue_script("dmrights_jquery_signin_api_script");
   		wp_enqueue_script("dmrights_jquery_update_api_script");
   		wp_enqueue_script("dmrights_jquery_modal_script");
   		wp_enqueue_script("dmrights_enable_script");   		
   		wp_enqueue_script("dmrights_update_coutas_script");
   		
   		
		// CSS
        wp_register_style("dmrights_jquery_validation_css", plugins_url()."/dmrightscom-content-copyright-protection/css/style.css");
		wp_register_style("dmrights_jquery_ui_css", plugins_url()."/dmrightscom-content-copyright-protection/css/jquery-ui.css");

		wp_enqueue_style("dmrights_jquery_validation_css");
		wp_enqueue_style("dmrights_jquery_ui_css");
		
	}
	
	add_action( 'admin_enqueue_scripts', 'load_custom_dmrights_wp_admin_scripts' );
	
	
	if( !is_admin() ) {
		add_action('wp_head','dmrights_filter_footer');
	}
	
	// ****************************************
	// Load config data
	// ****************************************
	
	$settings_link = "";
	$dmrights_catalog_code = get_option('dmrights_catalog_code');
	
	add_action('admin_menu', 'dmrights_config_page');
	add_shortcode('DMRightsThis', 'loadScripts' );

	// ****************************************
	// AJAX Call Backs
	// ****************************************

	add_action('wp_ajax_auth_upgrade', 'auth_upgrade_callback');
	
	function auth_upgrade_callback() {
		update_option('dmrights_catalog_code', $_POST['dmrights_catalog_code']);
		update_option('dmrights_api_key', $_POST['dmrights_api_key']);
		update_option('dmrights_registered_user', $_POST['dmrights_registered_user']);
		die();
	}
	
	add_action('wp_ajax_dmrights_enable', 'dmrights_enable_callback');
	
	function dmrights_enable_callback() {
		update_option('dmrights_enabled', $_POST['dmrights_enabled']);
		update_option('dmrights_right_click', $_POST['dmrights_right_click']);
		die();
	}
	
	// ****************************************
	// Add settings link on plugin page
	// ****************************************

	function dmrights_settings_link($links) { 
  		$settings_link = '<a href="options-general.php?page=dmrights-configuration">Settings</a>'; 
  		array_unshift($links, $settings_link); 
  		return $links; 
	}
 
	// ****************************************
	// Config link
	// ****************************************
	
	$plugin = plugin_basename(__FILE__); 
	add_filter("plugin_action_links_$plugin", 'dmrights_settings_link' );


	// ****************************************
	// Look for initial configuration data
	// ****************************************

	function dmrights_filter_footer() {
		
	$dmrightsEnabled = get_option('dmrights_enabled');
	
		if ($dmrightsEnabled) {
			dmrights_loadScripts();
		}
	}

	// ****************************************
	// Config reminder
	// ****************************************

	function dmrights_reminder()
		{
			$script_name = pathinfo($_SERVER['PHP_SELF'], PATHINFO_BASENAME);
			$posDot = strrpos($script_name,'.');
			if ($posDot != false)
			{
				$script_name = substr($script_name, 0, $posDot);
			}

			if ($script_name != "options-general" || strpos($_SERVER['QUERY_STRING'], "dmrights_admin_panel.php") === false)
			{
				echo "<div id='dprv_reminder' class='updated fade'><p>" . DMRIGHTS_REMINDER . "</p></div>";
			}
		}

		if (get_option('dmrights_registered_user') != "1")
		{
			define("DMRIGHTS_REMINDER", "<strong>".__("Digital Media Rights is correctly installed.", "dprv_cp")." <span style=\"color:red\">".sprintf(__('Please, <a href="options-general.php?page=dmrights-configuration">configure your account </a> to protect your blog against plagiarism and illegal copy of your publications.</strong>', 'dprv_cp'), '<a href="options-general.php?page=' . $settings_link . '"><b>', '</b></a>') . "</span>");
			add_action('admin_notices', 'dmrights_reminder');
			return;
		}

	// ****************************************
	// Load JScripts
	// ****************************************

	function dmrights_loadScripts() {
		
		$disableRightClick = get_option('dmrights_right_click');
	
		// wp_enqueue_script('dmrightsAlert', plugins_url('js/dmrights.js', __FILE__), false, false, true );
	
		if ($disableRightClick) {
			// wp_enqueue_script('dmrightsRightClick', plugins_url('js/dmrightsRightClick.js', __FILE__), false, false, true );
			?>

<!-- DMRights.com Copyright Protection - based in Rynaldo Stoltz js script Starts -->

<div align="center"><noscript>
   <div style="position:fixed; top:0px; left:0px; z-index:3000; height:100%; width:100%; background-color:#FFFFFF">
   <div style="font-family: Tahoma; font-size: 14px; background-color:#FFF000; padding: 10pt;">Please enable your Javascript to see this page as it is meant to appear!</div></div>
</noscript></div>

<script type="text/javascript">
window.onload = function() {
	disableSelection(document.body)
}
 
function disableSelection(target){
if (typeof target.onselectstart!="undefined")
	target.onselectstart=function(){return false}
else if (typeof target.style.MozUserSelect!="undefined")
	target.style.MozUserSelect="none"
else 
	target.onmousedown=function(){return false}
target.style.cursor = "default"
}
</script>

<script type="text/javascript">
function mousedwn(e) {
try { if (event.button == 2||event.button == 3) return false; }
catch (e) { if (e.which == 3) return false; }
}
	document.oncontextmenu = function() { return false; }
	document.ondragstart   = function() { return false; }
	document.onmousedown   = mousedwn;
</script>

<script type="text/javascript">
if (top.location != self.location) top.location.replace(self.location);
</script>

<style type="text/css">
* : (input, textarea) {

    -webkit-touch-callout: none;
    -webkit-user-select: none;

}

img {
	-webkit-touch-callout: none;
	-webkit-user-select: none;		
    }
</style>

<script type='text/javascript'>
window.addEventListener("keydown",function (e) {
    if (e.ctrlKey && (e.which == 65 || e.which == 67 || e.which == 85 || e.which == 80)) {
        e.preventDefault();
    }
})
        document.keypress = function(e) {
        if (e.ctrlKey && (e.which == 65 || e.which == 67 || e.which == 85 || e.which == 80)) {
	}
		return false;
				};
</script>

<!--DMRights.com Copyright Protection - based in Rynaldo Stoltz js script Ends -->
			
			<?php
		}
	}
	
	// ****************************************
	// DMRights badge
	// ****************************************
   
	function dmrights_badge_post_footer($content) {         
        $content .= "<div class=\"dmrights_badge\">
		<script type=\"text/javascript\">
			catalogCode = \"". get_option('dmrights_catalog_code') ."\"		
 		</script> 
		<div id=\"DMR-seal\"></div>
		<script type=\"text/javascript\" src=\"" . dmrights_wp_server . "/dmr.js\"></script>
		</div><br />";
		
        return $content;
	}
	
	if (get_option('dmrights_enabled') == 1)
	{
	add_filter('the_content', 'dmrights_badge_post_footer', 100);
	}


function dmrights_config_page() {
	add_submenu_page('options-general.php', __('DMRights.com'), __('DMRights.com'), 'manage_options', 'dmrights-configuration', 'dmrights_config');
}

function dmrights_config() {
	
	$dmrightsEnabled = get_option('dmrights_enabled');
	
	if ( isset($_POST['submit']) ) {
		if (isset($_POST['dmrights_enabled']))
		{
			if ($_POST['dmrights_enabled'] == 'on')
			{
				$dmrights_enabled = 1;
			}
			else
			{
				$dmrights_enabled = 0;
			}
		}
		else
		{
			$dmrights_enabled = 0;
		}
		
		if (isset($_POST['dmrights_right_click']))
		{
			if ($_POST['dmrights_right_click'] == 'on')
			{
				$dmrights_right_click = 1;
			}
			else
			{
				$dmrights_right_click = 0;
			}
		}
		else
		{
			$dmrights_right_click = 0;
		}		
	}


	?>


<script>
jQuery(document).ready(function(){	
	/*
	 Load available license list
	*/
	jQuery("#dmr_copyright_license").hide();
	jQuery("#resultAPI").hide();
	jQuery("#SignUp").toggle(false);
	jQuery("#UpdateUData").toggle(false);

	var urlLicenses = '<?php echo dmrights_wp_js_server; ?>/Services/JSonLicensesAvailable?callback=?';
	jQuery("#result").html("Retrieving data…");
    
	jQuery.ajax({
    	type: 'GET',
    	url: urlLicenses,
    	async: false,
       	contentType: "application/json",
       	dataType: 'jsonp',
		data: {dmr_default_language: jQuery("#dmr_default_language").val()},
		success: function(jsonData) {
			jQuery("#result").hide();
			jQuery("#dmr_copyright_license").empty();
			jQuery("#dmr_copyright_license").show();
				jQuery(jsonData).each(function()
 				{
     				var option = jQuery('<option />');
     				option.attr('value', this.licenseId).text(this.licenseName);
     				jQuery('#dmr_copyright_license').append(option);
 				});
			},
			error: function(jsonData){
    		jQuery("#result").html("Ops! Server error.");
			}
   		});
		
});
</script>

<script>
jQuery(document).ready(function(){	
	/*
	 Load available country list
	*/
	jQuery("#userCountry").hide();
	var url = '<?php echo dmrights_wp_js_server; ?>/Services/CountryList?callback=?';
	jQuery("#result").html("Retrieving data…");
    jQuery.ajax({
    	type: 'GET',
    	url: url,
    	async: false,
       	contentType: "application/json",
       	dataType: 'jsonp',
		success: function(jsonData) {
			jQuery("#result").hide();
			jQuery("#dmr_user_country").empty();
			jQuery("#dmr_user_country").show();
				jQuery(jsonData).each(function()
 				{
     				var option = jQuery('<option />');
     				option.attr('value', this.countryId).text(this.countryName);
     				jQuery('#dmr_user_country').append(option);
 				});
			},
			error: function(jsonData){
    		jQuery("#result").html("Ops! Server error.");
			}
   		});
});

</script>

<script type="text/javascript">
jQuery(document).ready(function() {
		/*
		License description
		*/
	jQuery("#dmr_copyright_license").change(function(){
	
		var urlLicenseDescription = '<?php echo dmrights_wp_js_server; ?>/Services/JSonLicensesShortDescription?callback=?'; 	
		jQuery("#result").html("Retrieving data…");
   	
		jQuery.ajax({
    	type: 'GET',
    	url: urlLicenseDescription,
    	async: false,
       	contentType: "application/json",
       	dataType: 'jsonp',
		data: { ccId: jQuery("select#dmr_copyright_license").val(),
				dmr_default_language: jQuery("input#dmr_default_language").val()
			  }, 
		success: function(jsonData) {
				jQuery(jsonData).each(function()
 				{
     				jQuery("#licenseDescription").html(this.licenseDescription);
 				});
			},
			error: function(jsonData){
				alert("Error en License description" )
    		jQuery("#result").html("Ops! Server error.");
			}
   		});
		
	}); // Change
});
</script>

<script>
function dmr_toggle_registration() {
	 			
	dmrights_user = document.getElementById("dmrights_user").value;
			
	if (dmrights_user == 1)
	{
		document.getElementById("hide_new_user_0").style.display = '';
		document.getElementById("hide_new_user_1").style.display = 'none';
		document.getElementById("registration_advice_row").style.display = 'none';
	} else {
		document.getElementById("hide_new_user_0").style.display = 'none';
		document.getElementById("hide_new_user_1").style.display = 'none';
		document.getElementById("registration_advice_row").style.display = '';
	}
}

function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}
</script>
  
<div class="wrap" style="width:99%;">
	<h2>Digital Media Rights for WordPress configuration page</h2>
	<div class="postbox-container" style="width:100%;">
		<div class="metabox-holder">	
			<div class="meta-box-sortables">
				<div id="user_registration" class="postbox">
					<h3 class="hndle">
                    	<span>
                        	Digital Media Rights registration details
						</span>
               		</h3>
					<div class="inside">
                   	  <table border="0" cellpadding="2" cellspacing="2">
							<tr>
								<td width="178" valign="top">		
									Registered DMRights user?:
								</td>
								<td valign="top" style="padding-left: 20px">
                                
                                <?php
                                
								// CHECK FOR REGISTERED USER
								
                                if (get_option('dmrights_registered_user') == 1)
								{
									$dmr_select_dmrights_user_1 = "selected='selected'";
									$dmr_select_dmrights_user_0 = "";
								} else {
									$dmr_select_dmrights_user_1 = "";
									$dmr_select_dmrights_user_0 = "selected='selected'";					
								}
                                
                                ?>
									<select name='dmrights_user' id='dmrights_user' onchange='dmr_toggle_registration()' style='margin-left:0px;width:290px'>
										<option value='1' <?php echo ($dmr_select_dmrights_user_1); ?>>I am already registered with Digital Media Rights</option>
										<option value='0' <?php echo ($dmr_select_dmrights_user_0); ?>>I have not yet registered with Digital Media Rights</option>
								  </select>
								<input type="hidden" name="dmrights_registered_user" id="dmrights_registered_user" value="<?php echo (get_option('dmrights_registered_user')); ?>"/>
                                <input type="hidden" name="dmrights_wp_js_server" id="dmrights_wp_js_server" value="<?php echo dmrights_wp_js_server; ?>"/>
                              </td>
								<td rowspan="2" valign="top" style="padding-left: 20px">
                                <div class="HelpDialogs">
    							<a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpRegisteredDMRightsUser.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="Registered DMRights.com user?" data-width="600" data-height="400">What's this about?</a>
                                </div>
                                </td>
                                <td rowspan="2" valign="top" style='padding-left: 20px'>&nbsp;</td>
                          </tr>
						<tr id="registration_advice_row">
							  <td valign="top">&nbsp;</td>
							  <td valign="top" style="padding-left: 20px"><p>If you're not DMRights.com user you can register right now for free and start to protecting the copyright and authorship of your blog posts.</p>
						      <p>
						        <input name="sign_button" type="submit" class="button-primary" id="sign_button" onclick="MM_openBrWindow('http://wp.dmrights.com','','')" value="Sign up" />
						      </p></td>
					    </tr>
						</table>
                        <form action="#" method="post" id="TheSignInAPIForm">
                        <table border="0" cellpadding="2" cellspacing="2" id="hide_new_user_0">
    					<tr>
							<td width='178'>
								Please, enter your API Key:
							</td>
					
							<td style='padding-left: 20px'>
                            <input name="dmrights_api_key" type="text" id="dmrights_api_key" value="<?php echo (get_option('dmrights_api_key')); ?>" size="73"/>
							</td>
							<td style='padding-left: 20px'>
                            
                            <div class="HelpDialogs">
    							<a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpAboutAPIKey.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="Note about security" data-width="600" data-height="400">Note about security</a>
                            </div>
                                
                          </td>
                            
						</tr>
                        
    					<tr>
							<td>
								Please, enter your Catalog code:
							</td>
					
							<td style='padding-left: 20px'>
                           		<input type="text" name="dmrights_catalog_code" id="dmrights_catalog_code" value="<?php echo (get_option('dmrights_catalog_code')); ?>"/>
							</td>
							<td style='padding-left: 20px'>
                            
                            <div class="HelpDialogs">
    							<a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpWhatsDMRightsCatalog.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="What is a DMRights.com catalog?" data-width="600" data-height="400">What is a DMRights.com catalog?</a>
                            </div>
                            
                          </td>
                            
						</tr>
    					
                        <tr id="cuota_usage">
    					  <td>Cuota usage:</td>
    					  <td style='padding-left: 20px'>You have <input name="dmrights_cuota_used" id="dmrights_cuota_used" type="text" size="4" maxlength="6" /> 
    					    posts &amp; pages certified of 
    					      <input name="dmrights_cuota_max" id="dmrights_cuota_max" type="text" size="4" maxlength="6" /> available &raquo; <a href="#" id="Update_Cuotas">Update this</a></td>
    					  <td style='padding-left: 20px'>&nbsp;</td>
  					  	</tr>
                        
    					<tr>
    					  <td>&nbsp;</td>
    					  <td colspan="2" style='padding-left: 20px'>
                          <p id="resultAPI"></p>
                          <div class="submit">
                                                    
                          <input type="button" name="button_dmrights_enable" id="button_dmrights_enable" class="button-primary" value="Start to protect" />
                          <input type="button" name="button_dmrights_disable" id="button_dmrights_disable" class="button-primary" value="Disable protection" />

							<?php 
                            if (get_option('dmrights_enabled') == 0)
							{
							?>
							<script>
								jQuery("#button_dmrights_disable").toggle(false);
								jQuery("#button_dmrights_enable").toggle(true);
							</script>
        					<?php
								} else {
							?>
                            <script>
								jQuery("#button_dmrights_disable").toggle(true);
								jQuery("#button_dmrights_enable").toggle(false);
							</script>
                            <?php
							}
							?>

							<input type="button" name="button_update_api" id="button_update_api" class="button-primary" value="Update API data &gt;&gt;" />
							<input name="button_upgrade2" type="button" class="button-primary" id="button_upgrade2" onclick="MM_openBrWindow('http://registry.dmrights.com','','')" value="Download authorship certificates &gt;&gt;" />
                          </div>
                          </td>
    					  </tr>
                      </table>
                      </form>
                        <form action="#" method="post" id="TheSignUpForm">
                        <fieldset>
                        <input name="dmr_default_language" id="dmr_default_language" type="hidden" value="146" />
                        <input name="dmr_signer_ip" id="dmr_signer_ip" type="hidden" value="<?php echo $_SERVER['REMOTE_ADDR']; ?>" />
                        <table border="0" cellpadding="2" cellspacing="2" id="hide_new_user_1">
						
                        <tr>
                          <td colspan="3">
                          	<h2>Update your registration and copyright ownership data</h2>
                          </td>
                        </tr>
                        
                        <tr>
                          <td width="180">Blog name:</td>
                          <td width="444" style='padding-left: 20px'>
                          <input name="dmr_website_name" type="text" id="dmr_website_name" size="73" maxlength="250"/>
                          </td>
                          <td style='padding-left: 20px'>&nbsp;</td>
                        </tr>
                        <tr>
                          <td valign="top">Desired license:</td>
                          <td valign="top" style='padding-left: 20px'>
                          <select name="dmr_copyright_license" id="dmr_copyright_license">
                          </select>
                          <br />
                          <div id="licenseDescription"></div>
                          
                          
                          </td>
                          <td valign="top" style='padding-left: 20px'>
                            <div class="HelpDialogs">
                            <a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpAboutLicenses.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="About licenses" data-width="600" data-height="400">About licenses</a>
                            </div>
                          </td>
                        </tr>
                        <tr>
							<td valign="top">
								Blog contents owner:
							</td>
                            <td valign="top" style='padding-left: 20px'>
								<input name="dmr_user_businessName" type="text" id="dmr_user_businessName" size="73" maxlength="250"/>
							</td>
                            <td valign="top" style='padding-left: 20px'>&nbsp;</td>
                        </tr>
                        
                        <tr>
							<td valign="top">
								Contact fist/last name:
							</td>
                          <td valign="top" style='padding-left: 20px'>
								<input name="dmr_user_firstName" type="text" id="dmr_user_firstName" size="32" maxlength="100"/>
                              /
                              <input name="dmr_user_lastName" type="text" id="dmr_user_lastName" size="32" maxlength="100"/>
						  </td>
                            <td valign="top" style='padding-left: 20px'>
                                First name / Last name
                            </td>
                        </tr>
                        
                        <tr>
							<td valign="top">
								Country of ziticenship:
							</td>
                            <td valign="top" style='padding-left: 20px'>
								<select name="dmr_user_country" id="dmr_user_country">
								</select>
 							</td>
                            <td valign="top" style='padding-left: 20px'>
                               
                            </td>
                        </tr>
                        
                        <tr>
							<td>
								Contact eMail:
							</td>
                            <td style='padding-left: 20px'>
								<input name="dmr_user_email" type="text" id="dmr_user_email" size="73" maxlength="250"/>
							</td>
                            <td style='padding-left: 20px'>
                               
                            </td>
                        </tr>

                        <tr>
							<td>
								Admin password:
							</td>
                            <td style='padding-left: 20px'>
								<input name="dmr_user_password" type="password" id="dmr_user_password" maxlength="15"/>
							</td>
                            <td style='padding-left: 20px'>&nbsp;</td>
                        </tr>
                        
                        <tr>
							<td>
								Promotional code:
							</td>
                            <td style='padding-left: 20px'>
								<input type="text" name="dmr_coupon_code" id="dmr_coupon_code"/>
							</td>
                            <td style='padding-left: 20px'><div class="HelpDialogs"> <a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpAboutCouponCodes.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="About coupon codes" data-width="600" data-height="400">About coupon codes</a> </div></td>
                        </tr>
                        
                        <tr>
							<td valign="top">
								General Conditions
							</td>
                            <td valign="top" style='padding-left: 20px'>
                            
                            <div class="HelpDialogs">
                            	<input name="acceptConditions" type="checkbox" value="1" checked="checked" />
                            	&nbsp;I have read and accept the <a href="<?php echo dmrights_wp_js_server; ?>/dialogs/conditions.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="Terms and conditions" data-width="600" data-height="400">terms and conditions.</a>
                                <br />
                                <input name="acceptPrivacyPolicy" type="checkbox" value="1" checked="checked" id="acceptPrivacyPolicy" />
                                &nbsp;I have read and accept the <a href="<?php echo dmrights_wp_js_server; ?>/dialogs/privacy.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="Privacy Policy" data-width="600" data-height="400">privacy policy</a>
                             </div>
                   		  </td>
                            			<td valign="top" style='padding-left: 20px'>
                                        	<div class="HelpDialogs"> <a href="<?php echo dmrights_wp_js_server; ?>/dialogs/HelpAboutDigitalMediaRights.jsp?dmrights_api_key=<?php echo (get_option('dmrights_api_key')); ?>" data-title="About DMRights.com" data-width="600" data-height="400">About DMRights.com</a>
                            				</div>
                            			</td>
               			  </tr>
									<tr>
						  				<td>
                                        </td>
						  				<td style='padding-left: 20px' colspan="2">
						  					<p id="result">&nbsp;</p>
                          					<div class="submit">
                          					<input type="button" class="button-primary" name="SignUp" id="SignUp" value="SignUp &raquo;" /><input type="button" class="button-primary" name="UpdateUData" id="UpdateUData" value="Update my data &raquo;" />
                          					</div>
                          				</td>
						  			</tr>
									<tr>
										<td>
										</td>
										
                                        <td style='padding-left: 20px' colspan="2">
								<a href="http://www.dmrights.com/" target="new">Digital Media Rights</a>&reg; Is a service owned and managed by Good Ideas for Internet LTD, London, UK.<br />
								For any questions, please, feel free to contact our <a href="http://registry.dmrights.com/helpdesk/servicedesk.jsp" target="new">HelpDesk</a>
                                		</td>
									</tr>
						  </table>
                   		  </fieldset>
                    	</form>
						
						<script>
							document.getElementById("hide_new_user_0").style.display = 'none';
							document.getElementById("hide_new_user_1").style.display = 'none';
							dmr_toggle_registration();
						</script>
 					</div>
            	</div>			
            <p>
            &copy; 2014 <a href="http://www.gi4i.co.uk">Good Ideas for Internet</a>, LTD - London, UK. All Rights Reserved</p>
            <div>
              <iframe src="//www.facebook.com/plugins/like.php?href=https%3A%2F%2Fwww.facebook.com%2FDigitalMediaRights&amp;width&amp;layout=box_count&amp;action=like&amp;show_faces=false&amp;share=true&amp;height=65&amp;appId=253726637975242" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:65px;" allowTransparency="true"></iframe>
              <p>
<a href="https://twitter.com/dmrights" class="twitter-follow-button"
		data-show-count="false">Follow @smbooster</a>
	<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
	</p>
            </div>
            </div>
		</div>
	</div>
</div>
	<?php
	
	// Working with registry data
	
	if (get_option('dmrights_registered_user') == 1 && strlen(get_option('dmrights_api_key')) > 10)
	{
		?>
     	<script>
		
		document.getElementById("hide_new_user_1").style.display = '';

		jQuery(document).ready(function(){
			
			var loadUrl = "<?php echo dmrights_wp_js_server; ?>/Services/JSonUserData"; 
			var errorNumber = 0;
			var dmrights_successful = null;
			var errorDescription = null;
			
			var dmr_user_firstName = null;
			var dmr_user_lastName = null;
			var dmr_user_businessName = null;
			var dmr_user_country = null;
			var dmr_user_email = null;
			var dmr_copyright_license = null;
			var dmr_website_name = null;
	
		var successUserData = function(data) {
        	
			jQuery.each(data, function(index, d)
			{                
				if (d.errorNumber != null)
				errorNumber = d.errorNumber;
				
				if (d.errorDescription != null)
				errorDescription = d.errorDescription;
				
				if (d.successful != null)
				dmrights_successful = d.successful;
			
				if (d.dmr_user_firstName != null)
				dmr_user_firstName = d.dmr_user_firstName;
	
				if (d.dmr_user_lastName != null)
				dmr_user_lastName = d.dmr_user_lastName;

				if (d.dmr_user_businessName != null)
				dmr_user_businessName = d.dmr_user_businessName;
			
				if (d.dmr_user_country != null)
				dmr_user_country = d.dmr_user_country;
	
				if (d.dmr_user_email != null)
				dmr_user_email = d.dmr_user_email;

				if (d.dmr_copyright_license != null)
				dmr_copyright_license = d.dmr_copyright_license;
				
				if (d.dmr_website_name != null)
				{
				dmr_website_name = d.dmr_website_name;
				}
				
				if (d.dmr_user_country != null)
				dmr_user_country = d.dmr_user_country;
				
			}); // jQuery.each

			if (errorNumber == 1 || errorNumber == 2)
				{
					jQuery("#result").show();
					jQuery("#result").html(errorDescription);
 					jQuery("input#dmr_registered_user").val('');
					
				} else {
					jQuery('#dmr_copyright_license').val(dmr_copyright_license).attr("selected", "selected");
					jQuery("input#dmr_user_firstName").val(dmr_user_firstName);
					jQuery("input#dmr_user_lastName").val(dmr_user_lastName);
					jQuery("input#dmr_user_businessName").val(dmr_user_businessName);
					jQuery("input#dmr_user_email").val(dmr_user_email);
					jQuery("input#dmr_website_name").val(dmr_website_name);
					jQuery("#button_upgrade").toggle(true);
					
					setTimeout(function()
						{
							jQuery('#dmr_user_country').val(dmr_user_country).attr("selected", "selected");
						},1000);
					
					jQuery("#UpdateUData").toggle(true);
					jQuery("#cuota_usage").toggle(true);
					
					jQuery("#UpdateUData").toggle(true);
					jQuery("#cuota_usage").toggle(true);
					
					if (<?php echo (get_option('dmrights_enabled')); ?> == 1)
					{
						jQuery("#button_dmrights_enable").toggle(false);
						jQuery("#button_dmrights_disable").toggle(true);
					} else {
						jQuery("#button_dmrights_enable").toggle(true);
						jQuery("#button_dmrights_disable").toggle(false);
					}
					
				}
			
			} // successUserData
			
			jQuery.ajax({
    			type: 'GET',
    			url: '<?php echo dmrights_wp_js_server; ?>/Services/JSonUserData',
    			async: false,
       			contentType: "application/json",
       			dataType: 'jsonp',
				data: { dmrights_registered_user: jQuery("input#dmrights_registered_user").val(),
						dmrights_api_key: jQuery("input#dmrights_api_key").val(),
						dmrights_catalog_code: jQuery("input#dmrights_catalog_code").val()
				},
				success: successUserData,
          		error:function(jqXHR, textStatus, errorThrown){
            	alert(errorThrown);
    			jQuery("#result").html("Ops! Server error.");
				}
   			});
			
		});	
		</script>
        
        <?php
	} else {
		?>
        <script>
		jQuery(document).ready(function(){
			jQuery("#SignUp").toggle(true);
			jQuery("#cuota_usage").toggle(false);
			jQuery("#button_dmrights_enable").toggle(false);
			jQuery("#button_dmrights_disable").toggle(false);
			jQuery("#button_upgrade").toggle(false);
			
		});
        </script>
        
		<?php
	}	
} 
?>